Foreman - Bug #238

Report wrong marked
05/05/2010 07:51 AM - Jan Doleschal

Status: Closed

Priority: Normal

Assignee: Ohad Levy

Category: Puppet Reports

Target version: 0.1-5

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request:

Description

Hi all,

got the following issue. When tidying logfiles with puppet the foreman report gets marked as failure. Please have a look on both
attached pictures, its better than a long explanation.

Thanks
Jan

Associated revisions

Revision c9140ad1 - 05/06/2010 01:56 PM - Ohad Levy
fixes #238 - Report wrong marked

History

#1 - 05/05/2010 10:12 AM - Ohad Levy

| would need to see the content of the report in order to understand the bug (e.qg. if its a puppet bug or a foreman bug).
could you please do the following - goto foreman directory and type:

/script/console production

<wait for prompt>

Report.find(83402).log

and attache the output.

Thanks.

#2 - 05/05/2010 11:45 AM - Jan Doleschal
Here the console output:

Report.find(83402).log

=> #<Puppet::Transaction::Report:0x2b80aad0d350 @host="zd-gis-s6.zdkwh.mlrbw.net", @records={},
@metrics={"time"=>#<Puppet::Util::Metric:0x2b80aad100a0 @values=:tidy, "Tidy", 0.00106596946716309], [:total, "Total", 18.4244208335876]
[:sshkey, "Sshkey", 0.000674009323120117], [:schedule, "Schedule", 0.00156211853027344], [:file, "File", 3.01665377616882], [:service, "Service"

1.24583768844604] [qrouD "GrouD" 0000815868377685547] [fllebucket "Fllebucket" 0000329017639160156] [-user “User"

12 5888273715973, @name "t|me" @Iabel_"T|me"> "resources"_>#<Puppet Ut|| :Metric: Ox2b80aadOeb10 @values= scheduled "Scheduled"
125], [:skipped, "Skipped", 10], [:total, "Total", 138], [:applied, "Applied", 1], [:failed, "Failed", 0], [:restarted, "Restarted", 0], [:out_of_sync, "Out of
sync", 1], [:failed restarts, "Failed restarts", 0, @name="resources", @label="Resources">, "changes"=>#<Puppet::Util::Metric:0x2b80aad0e048
@values=:total, "Total", 1, @name="changes", @label="Changes">}, @logs=[#<Puppet::Util::Log:0x2b80aad132f0 @line=10,

@source="//cleanup/Tidy[logiles]", @level=:notice, @message="Tidying File[/var/log/samba/log.wb-ZDKWH.old]", @tags=["tidy", "logiles", "class",
"cleanup", "basic_sys", "node", "default", "main", "notice"], @file="/appserver/puppet/modules/production/cleanup/manifests/init.pp",
@version=1273025760, @time=Wed May 05 08:26:51 +0200 2010>, #<Puppet::Util::Log:0x2b80aad11f68
@source="/File[/var/log/samba/log.wb-ZDKWH.old]/ensure", @level=:notice, @message="removed", @tags=["file", "tidy", "logiles", "class", "cleanup",

"basic_sys", "node", "default”, "main", "ensure", "notice"], @version=1273025760, @time=Wed May 05 08:27:01 +0200 2010>], @time=Wed May 05
06:27:12 UTC 2010>
https://projects.theforeman.org/projects/foreman/wiki/Tidy_%22Tidy%22_000106596946716309%5D_%5Btotal_%22Total%22_184244208335876%5D_%5Bsshkey_%22Sshkey%22_0000674009323120117%5D_%5Bschedule_%22Schedule%22_000156211853027344%5D_%5Bfile_%22File%22_301665377616882%5D_%5Bservice_%22Service%22_124583768844604%5D_%5Bgroup_%22Group%22_0000815868377685547%5D_%5Bfilebucket_%22Filebucket%22_0000329017639160156%5D_%5Buser_%22User%22_00095221996307373%5D_%5Bconfig_retrieval_%22Config_retrieval%22_155803108215332%5D_%5Bexec_%22Exec%22_000110173225402832%5D_%5Bpackage_%22Package%22_125888273715973
https://projects.theforeman.org/projects/foreman/wiki/Tidy_%22Tidy%22_000106596946716309%5D_%5Btotal_%22Total%22_184244208335876%5D_%5Bsshkey_%22Sshkey%22_0000674009323120117%5D_%5Bschedule_%22Schedule%22_000156211853027344%5D_%5Bfile_%22File%22_301665377616882%5D_%5Bservice_%22Service%22_124583768844604%5D_%5Bgroup_%22Group%22_0000815868377685547%5D_%5Bfilebucket_%22Filebucket%22_0000329017639160156%5D_%5Buser_%22User%22_00095221996307373%5D_%5Bconfig_retrieval_%22Config_retrieval%22_155803108215332%5D_%5Bexec_%22Exec%22_000110173225402832%5D_%5Bpackage_%22Package%22_125888273715973
https://projects.theforeman.org/projects/foreman/wiki/Tidy_%22Tidy%22_000106596946716309%5D_%5Btotal_%22Total%22_184244208335876%5D_%5Bsshkey_%22Sshkey%22_0000674009323120117%5D_%5Bschedule_%22Schedule%22_000156211853027344%5D_%5Bfile_%22File%22_301665377616882%5D_%5Bservice_%22Service%22_124583768844604%5D_%5Bgroup_%22Group%22_0000815868377685547%5D_%5Bfilebucket_%22Filebucket%22_0000329017639160156%5D_%5Buser_%22User%22_00095221996307373%5D_%5Bconfig_retrieval_%22Config_retrieval%22_155803108215332%5D_%5Bexec_%22Exec%22_000110173225402832%5D_%5Bpackage_%22Package%22_125888273715973
https://projects.theforeman.org/projects/foreman/wiki/Tidy_%22Tidy%22_000106596946716309%5D_%5Btotal_%22Total%22_184244208335876%5D_%5Bsshkey_%22Sshkey%22_0000674009323120117%5D_%5Bschedule_%22Schedule%22_000156211853027344%5D_%5Bfile_%22File%22_301665377616882%5D_%5Bservice_%22Service%22_124583768844604%5D_%5Bgroup_%22Group%22_0000815868377685547%5D_%5Bfilebucket_%22Filebucket%22_0000329017639160156%5D_%5Buser_%22User%22_00095221996307373%5D_%5Bconfig_retrieval_%22Config_retrieval%22_155803108215332%5D_%5Bexec_%22Exec%22_000110173225402832%5D_%5Bpackage_%22Package%22_125888273715973
https://projects.theforeman.org/projects/foreman/wiki/Tidy_%22Tidy%22_000106596946716309%5D_%5Btotal_%22Total%22_184244208335876%5D_%5Bsshkey_%22Sshkey%22_0000674009323120117%5D_%5Bschedule_%22Schedule%22_000156211853027344%5D_%5Bfile_%22File%22_301665377616882%5D_%5Bservice_%22Service%22_124583768844604%5D_%5Bgroup_%22Group%22_0000815868377685547%5D_%5Bfilebucket_%22Filebucket%22_0000329017639160156%5D_%5Buser_%22User%22_00095221996307373%5D_%5Bconfig_retrieval_%22Config_retrieval%22_155803108215332%5D_%5Bexec_%22Exec%22_000110173225402832%5D_%5Bpackage_%22Package%22_125888273715973
https://projects.theforeman.org/projects/foreman/wiki/Scheduled_%22Scheduled%22_125%5D_%5Bskipped_%22Skipped%22_10%5D_%5Btotal_%22Total%22_138%5D_%5Bapplied_%22Applied%22_1%5D_%5Bfailed_%22Failed%22_0%5D_%5Brestarted_%22Restarted%22_0%5D_%5Bout_of_sync_%22Out_of_sync%22_1%5D_%5Bfailed_restarts_%22Failed_restarts%22_0
https://projects.theforeman.org/projects/foreman/wiki/Scheduled_%22Scheduled%22_125%5D_%5Bskipped_%22Skipped%22_10%5D_%5Btotal_%22Total%22_138%5D_%5Bapplied_%22Applied%22_1%5D_%5Bfailed_%22Failed%22_0%5D_%5Brestarted_%22Restarted%22_0%5D_%5Bout_of_sync_%22Out_of_sync%22_1%5D_%5Bfailed_restarts_%22Failed_restarts%22_0
https://projects.theforeman.org/projects/foreman/wiki/Scheduled_%22Scheduled%22_125%5D_%5Bskipped_%22Skipped%22_10%5D_%5Btotal_%22Total%22_138%5D_%5Bapplied_%22Applied%22_1%5D_%5Bfailed_%22Failed%22_0%5D_%5Brestarted_%22Restarted%22_0%5D_%5Bout_of_sync_%22Out_of_sync%22_1%5D_%5Bfailed_restarts_%22Failed_restarts%22_0
https://projects.theforeman.org/projects/foreman/wiki/Total_%22Total%22_1

Thanks!

#3 - 05/05/2010 03:42 PM - Ohad Levy
the attached reports "Skipped"- 10, thats why it reports it as an error.
do you have any idea why you have skipped values?

#4 - 05/06/2010 07:19 AM - Jan Doleschal

I’'m scheduling some resources, could this cause the skips?

#5 - 05/06/2010 12:21 PM - Ohad Levy

can you try running with --ignoreschedule ?

this might be my motivation to remove the skipped from the report types which are considered as errors.

#6 - 05/06/2010 12:52 PM - Jan Doleschal
Ok,

that’s it! When running with --ingoreschedule the reports are marked correct.
Thanks for the quick response

Jan

#7 - 05/06/2010 01:57 PM - Ohad Levy

- Status changed from New to Ready For Testing
- % Done changed from 0 to 100

Applied in changeset c9140ad1a135b6c84b8a98c8b76b1486e8e5f3c7.

#8 - 05/06/2010 01:59 PM - Ohad Levy

- Category set to Puppet Reports

- Status changed from Ready For Testing to Closed
- Assignee set to Ohad Levy

- Target version set to 0.1-5
